# CME

## CME Fixing Prices

### What is this endpoint for?

CME Group publishes fixing prices, typically calculated based on the volume-weighted average price (VWAP) of contracts traded during a pre-defined window of time. These price references are used to determine the exercise and assignment of options positions at expiration and serve as an informational reference point for market participants. Fixing prices also can play an important role in determination of price limits during rapidly moving markets.

For the fixing prices of cryptocurrencies, Bitcoin fixing price will be based on a notionally adjusted volume-weighted average traded price of Bitcoin futures and Micro Bitcoin futures during the 30 minutes prior to 4:00 p.m. London time. For Ethereum fixing price, it will be based on Ether futures and Micro Ether futures.

### Endpoint

```
https://us.market-api.kaiko.io/v2/data/fixing.v1/xcme
```

### Parameters

No parameters supported

### Fields

| Field          | Description                         |
| -------------- | ----------------------------------- |
| `trade_date`   | Reference date of the Fixing Prices |
| `timestamp`    | Event timestamp                     |
| `product_code` | Product code                        |
| `instrument`   | Instrument code                     |
| `description`  | Description of the instrument       |
| `fixing_price` | Fixing price published by CME       |

### Request example

```url
curl --compressed -H 'Accept: application/json' -H 'X-Api-Key: <client-api-key>' \
  'https://us.market-api.kaiko.io/v2/data/fixing.v1/xcme'
```

### Response example

{% tabs %}
{% tab title="JSON" %}

```json
{
    "query": {},
    "time": "2024-05-21T07:04:25.684Z",
    "timestamp": 1716275065684,
    "data": [
        {
            "trade_date": "2024-04-30",
            "timestamp": 1714489210000,
            "product_code": "BTC",
            "instrument": "BTCK4",
            "description": "Bitcoin Futures",
            "fixing_price": 61602.66
        },
        /* ... */
    ],
    "result": "success"
}
```

{% endtab %}
{% endtabs %}

## CF Benchmark Reference Rates

### What is this endpoint for?

This REST API endpoint provides several CME CF Reference Rates, including Bitcoin, Ethereum and others, which are published once a day. These benchmark index prices aggregate trade data from multiple USD markets operated by major cryptocurrency exchanges that conform to the CME CF Constituent Exchange Criteria.

### Endpoint

```
https://us.market-api.kaiko.io/v2/data/cfbenchmark.v1/cfbenchmarks/xcme
```

### Parameters

No parameters supported

### Fields

| Field        | Description                             |
| ------------ | --------------------------------------- |
| `ref_date`   | Publication date of the reference rates |
| `instrument` | Reference rates name                    |
| `price`      | Value of the reference rates            |

### Request example

```
curl --compressed -H 'Accept: application/json' -H 'X-Api-Key: <client-api-key>' \
  'https://us.market-api.kaiko.io/v2/data/cfbenchmark.v1/cfbenchmarks/xcme'
```

### Response example

{% tabs %}
{% tab title="JSON" %}

```json
{
    "query": {},
    "time": "2024-05-21T09:44:14.892Z",
    "timestamp": 1716284654892,
    "data": [
        {
            "ref_date": "2024-04-26",
            "instrument": "AAVEUSD_RR",
            "price": 90.7542
        },
        {
            "ref_date": "2024-04-26",
            "instrument": "ADAUSD_RR",
            "price": 0.470587
        },
        /* ... */
    ],
    "result": "success"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/rest-api/misc-custom-and-legacy-endpoints/cme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
